<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <template id="sh_assets_backend" name="pwa assets" inherit_id="web.layout">
        <xpath expr="//head" position="inside">
         <link rel="manifest" id="shmanifiest" t-att-href="'/manifest.json/'+str(request.env.user.company_id.id)" />
            <link rel="apple-touch-icon" id="iphone_shmanifiest" sizes="200x200" t-att-href="'/iphone.json/'+str(request.env.user.company_id.id)"/>
        
            <script>
                // fetch company id
                var cid = $.bbq.getState().cids;
                if (cid) {
                    $("#shmanifiest").attr("href", "/manifest.json/" + cid);
					$("#iphone_shmanifiest").attr('href','/iphone.json/'+cid);
                }
            </script>
           </xpath>
    </template>
    <record id="sh_push_noti_config_form" model="ir.ui.view">
        <field name="name">sh.push.noti.config.form</field>
        <field name="model">res.config.settings</field>
        <field name="inherit_id" ref="base_setup.res_config_settings_view_form" />
        <field name="arch" type="xml">
            <xpath expr="//div[@id='contacts_settings']" position="after">
                <div id="web_push_notification">
                    <h2>Firebase Push Notifications</h2>
                    <div class="row mt16 o_settings_container">
                        <div id="firebase_setting" class="col-xs-12 col-md-12 o_setting_box">
                            <div class="o_setting_left_pane">
                                <field name="enable_web_push_notification" />
                            </div>
                            <div class="o_setting_right_pane">
                                <label for="enable_web_push_notification"/>
                            </div>
                        </div>
                        <div id="firebase_other_setting" class="col-xs-12 col-md-12 o_setting_box" attrs="{'invisible':[('enable_web_push_notification','=',False)]}">
                            <div class="o_setting_left_pane">
                            </div>
                            <div class="o_setting_right_pane">
                                <label for="api_key" class="col-2 col-lg-2 o_light_label" />
                                <field name="api_key" attrs="{'required':[('enable_web_push_notification','=',True)]}"/>
                            </div>
                            <div class="o_setting_left_pane">
                            </div>
                            <div class="o_setting_right_pane">
                                <label for="vapid" class="col-2 col-lg-2 o_light_label"/>
                                <field name="vapid" attrs="{'required':[('enable_web_push_notification','=',True)]}"/>
                            </div>
                            <div class="o_setting_left_pane">
                            </div>
                            <div class="o_setting_right_pane">
                                <label for="config_details" class="col-2 col-lg-2 o_light_label"/>
                                <field name="config_details" attrs="{'required':[('enable_web_push_notification','=',True)]}"/>
                            </div>
                        </div>
                    </div>
                </div>
            </xpath>
        </field>
    </record>
</odoo>
